Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.abstractstore
Class AbstractStorePersistenceManagerFactory

    java.lang.Object
      |
      +--kodo.runtime.PersistenceManagerFactoryImpl
            |
            +--kodo.abstractstore.AbstractStorePersistenceManagerFactory

All Implemented Interfaces:
  com.solarmetric.util.Closeable, KodoPersistenceManagerFactory, PersistenceManagerFactory, Serializable

public class AbstractStorePersistenceManagerFactory
extends PersistenceManagerFactoryImpl

`PersistenceManagerFactory` implementation for use with the `AbstractStoreManager`. This provides integration into the `JDOHelper.getPersistenceManagerFactory(java.util.Properties)` JDO bootstrapping mechanism, to facilitate the process of creating a subclass of `AbstractStoreManager`. New store manager implementations need not extend this class. Instead, set the `javax.jdo.PersistenceManagerFactoryClass` configuration property to `kodo.abstractstore.AbstractStorePersistenceManagerFactory`, and set the `kodo.abstractstore.AbstractStoreManager` configuration property to the full class name of your implementation.

Additionally, you can optionally create your own `PersistenceManagerFactory` implementation. However, we recommend that you use the `AbstractStorePersistenceManagerFactory`, as it deals with PMF pooling and bootstrapping from a `Properties` object (the strategy used by `JDOHelper` to create a factory in a vendor-neutral manner).

See Also:
  Serialized Form

Field Summary
`static String` | `PROP_ABSTRACT_STORE` The property name under which to name the concrete store manager class for this runtime.

Method Summary
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Properties p)` Factory method for constructing a `PersistenceManagerFactory` from properties.
`Properties` | `getProperties()` Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
`protected StoreManager` | `newStoreManager()` Return a new StoreManager for this runtime.

Methods inherited from class kodo.runtime.PersistenceManagerFactoryImpl
`addInstanceLifecycleListener, addInstanceLifecycleListeners, close, configurePersistenceManager, findPersistenceManager, findTransactionalPersistenceManager, freeze, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPooledFactory, getRestoreValues, getRetainValues, isPersistenceManagerServerRunning, joinPersistenceManagerServer, loadPersistentClasses, lock, newPersistenceManager, pool, readResolve, removeInstanceLifecycleListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, setup, startPersistenceManagerServer, stopPersistenceManagerServer, supportedOptions, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_ABSTRACT_STORE

    public static final String PROP_ABSTRACT_STORE

  The property name under which to name the concrete store manager class for this runtime.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Properties p)

  Factory method for constructing a `PersistenceManagerFactory` from properties. Invoked from `JDOHelper.getPersistenceManagerFactory(java.util.Properties)`.

### getProperties

    public Properties getProperties()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Subclasses should override this method to add a `Platform` property listing the runtime platform, such as: `Kodo JDO JDBC Edition: Oracle Database`
  Overrides:
    `getProperties` in class `PersistenceManagerFactoryImpl`

### newStoreManager

    protected StoreManager newStoreManager()

  Description copied from class: `PersistenceManagerFactoryImpl`
  Return a new StoreManager for this runtime. Note that the instance returned here may be wrapped before being passed to the `PersistenceManagerFactoryImpl.newPersistenceManager(java.lang.String, java.lang.String)` method.
  Overrides:
    `newStoreManager` in class `PersistenceManagerFactoryImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.